Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageDataStreamer Class Reference

`#include <vtkImageDataStreamer.h>`

Inheritance diagram for vtkImageDataStreamer:

[legend]
Collaboration diagram for vtkImageDataStreamer:

[legend]
List of all members.

## Detailed Description

Initiates streaming on image data.

Date:
  2002/12/11 14:26:22

Revision:
  1.24

To satisfy a request, this filter calls update on its input many times with smaller update extents. All processing up stream streams smaller pieces.

Events:
  vtkCommand::StartEvent vtkCommand::EndEvent

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Avila, Lisa (46%)
  - Law, Charles (23%)
  - Martin, Ken (21%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageDataStreamer.h)`
  - .`cxx` (`/Imaging/vtkImageDataStreamer.cxx)`

Tests:
  vtkImageDataStreamer (Tests)

Definition at line 52 of file vtkImageDataStreamer.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | UpdateData (vtkDataObject *out)
virtual void | SetNumberOfStreamDivisions (int)
virtual int | GetNumberOfStreamDivisions ()
virtual void | SetExtentTranslator (vtkExtentTranslator *)
virtual vtkExtentTranslator * | GetExtentTranslator ()
## Static Public Methods
vtkImageDataStreamer * | New ()
int | IsTypeOf (const char *type)
vtkImageDataStreamer * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageDataStreamer ()
| ~vtkImageDataStreamer ()
## Protected Attributes
vtkExtentTranslator * | ExtentTranslator
int | NumberOfStreamDivisions

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageDataStreamer::Superclass

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkMemoryLimitImageDataStreamer. Definition at line 56 of file vtkImageDataStreamer.h.

## Constructor & Destructor Documentation

vtkImageDataStreamer::vtkImageDataStreamer | ( |  | ) | `[protected]`

vtkImageDataStreamer::~vtkImageDataStreamer | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageDataStreamer* vtkImageDataStreamer::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkMemoryLimitImageDataStreamer.

virtual const char* vtkImageDataStreamer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkMemoryLimitImageDataStreamer.

int vtkImageDataStreamer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkMemoryLimitImageDataStreamer.

virtual int vtkImageDataStreamer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkMemoryLimitImageDataStreamer.

vtkImageDataStreamer* vtkImageDataStreamer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkMemoryLimitImageDataStreamer.

void vtkImageDataStreamer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkMemoryLimitImageDataStreamer.

virtual void vtkImageDataStreamer::SetNumberOfStreamDivisions | ( | int |  | ) | `[virtual]`

| Set how many pieces to divide the input into. void SetNumberOfStreamDivisions(int num); int GetNumberOfStreamDivisions();

virtual int vtkImageDataStreamer::GetNumberOfStreamDivisions | ( |  | ) | `[virtual]`

| Set how many pieces to divide the input into. void SetNumberOfStreamDivisions(int num); int GetNumberOfStreamDivisions();

void vtkImageDataStreamer::UpdateData | ( | vtkDataObject * | out | ) | `[virtual]`

| Need to override since this is where streaming will be done Reimplemented from vtkSource. Reimplemented in vtkMemoryLimitImageDataStreamer.

virtual void vtkImageDataStreamer::SetExtentTranslator | ( | vtkExtentTranslator * |  | ) | `[virtual]`

| Get the extent translator that will be used to split the requests

virtual vtkExtentTranslator* vtkImageDataStreamer::GetExtentTranslator | ( |  | ) | `[virtual]`

| Get the extent translator that will be used to split the requests

## Member Data Documentation

vtkExtentTranslator* vtkImageDataStreamer::ExtentTranslator`[protected]`

| Definition at line 80 of file vtkImageDataStreamer.h.

int vtkImageDataStreamer::NumberOfStreamDivisions`[protected]`

| Definition at line 81 of file vtkImageDataStreamer.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageDataStreamer.h